import { Space } from '@holi/core/screens/spaces/types'

export interface Paged<T> {
  totalResults: number
  data: T[]
}

export type SpaceForMember = Pick<
  Space,
  'id' | 'name' | 'title' | 'avatar' | 'avatarBlurhash' | 'cover' | 'coverBlurhash' | 'members' | 'avatarDefaultColor'
>

export type MemberSpaces = Paged<SpaceForMember>

export interface GeolocationPoint {
  latitude: number
  longitude: number
}

export interface GeolocationGeometry {
  type: string
  coordinates: number[] | number[][] | number[][][] | number[][][][]
}

export interface GeolocationGeoJSON {
  place_id: string
  properties: {
    formatted: string
  }
  geometry: GeolocationGeometry
}

export interface LocationDetails {
  completeAddress: string
  city?: string
  state?: string
  country?: string
  geolocation: GeolocationPoint
}
